#ifndef INTERACTION_H
#define INTERACTION_H

#include <fstream>
#include <string>
#include <list>

class Interaction{
private:
	void prepare(const std::list<std::string>&);
	
	int childpid;
	bool terminated;
	FILE *output;

public:
	Interaction(const std::string&);
	Interaction(const std::list<std::string>&);
	~Interaction();
	
	int getc();
	std::string gets();
	
	bool eof();
	int terminate();
};

#endif // INTERACTION_H
